Name:		SDL_mixer
Version:	1.2.12
Release: 	1%{?dist}
Summary:	Simple DirectMedia Layer - Sample Mixer Library

Group:		System Environment/Libraries
License:	LGPLv2
URL:		http://www.libsdl.org/projects/SDL_mixer/
Source0:	http://www.libsdl.org/projects/%{name}/release/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# MikMod-related fixes from trunk
Patch0:         SDL_mixer-MikMod-1.patch
Patch1:         SDL_mixer-MikMod-2.patch

BuildRequires:	SDL-devel >= 1.2.10 
BuildRequires:	libvorbis-devel
BuildRequires:	flac-devel
BuildRequires:	mikmod-devel >= 3.1.10
# Require libvorbis since we build it with dynamically load support.
Requires:	libvorbis
Requires:	libmikmod

%description
A simple multi-channel audio mixer for SDL. It supports 4 channels of
16 bit stereo audio, plus a single channel of music, mixed by the popular
MikMod MOD, Timidity MIDI and Ogg Vorbis libraries.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel >= 1.2.10
Requires:	libvorbis-devel
Requires:	pkgconfig

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --disable-dependency-tracking	\
	   --disable-static 			\
	   --enable-music-libmikmod

# Remove rpath as per https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# Upstream bug for proper fixing of the lack of -lm:
# http://bugzilla.libsdl.org/show_bug.cgi?id=1010
make %{?_smp_mflags} LDFLAGS=-lm


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall install-bin

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README CHANGES COPYING
%{_bindir}/playmus
%{_bindir}/playwave
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/SDL

%changelog
* Sat Oct 04 2014 Django <django@nausch.org> - 1.2.12-1
- Initial build for CentOS 7
